#include "../NAME.hpp"

#include <cstdlib>
#include <iostream>
#include <string>

namespace {
    const std::string ref_msg = "Hello, world!";
}

int main()
{
    const std::string msg = NAME_get_msg();
    if (msg == ref_msg)
        return EXIT_SUCCESS;

    std::cerr << "NAME_get_msg() failed: \""
        << msg << "\" != \"" << ref_msg << "\"\n";

    return EXIT_FAILURE;
}
